package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备供应商信息对象 dms_base_device_suplier
 *
 * @author xins
 * @date 2023-12-28
 */
public class DmsBaseDeviceSuplier extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long supplierId;

    /** 供应商编号 */
    @Excel(name = "供应商编号")
    private String suplierCode;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String suplierName;

    /** 供应商联系人 */
    @Excel(name = "供应商联系人")
    private String suplierPerson;

    /** 供应商电话 */
    @Excel(name = "供应商电话")
    private String suplierTel;

    /** 供应商地址 */
    @Excel(name = "供应商地址")
    private String suplierAddress;

    /** 供应商状态 */
    @Excel(name = "供应商状态")
    private Long suplierStatus;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private Long deviceId;

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public void setSupplierId(Long supplierId)
    {
        this.supplierId = supplierId;
    }

    public Long getSupplierId()
    {
        return supplierId;
    }
    public void setSuplierCode(String suplierCode)
    {
        this.suplierCode = suplierCode;
    }

    public String getSuplierCode()
    {
        return suplierCode;
    }
    public void setSuplierName(String suplierName)
    {
        this.suplierName = suplierName;
    }

    public String getSuplierName()
    {
        return suplierName;
    }
    public void setSuplierPerson(String suplierPerson)
    {
        this.suplierPerson = suplierPerson;
    }

    public String getSuplierPerson()
    {
        return suplierPerson;
    }
    public void setSuplierTel(String suplierTel)
    {
        this.suplierTel = suplierTel;
    }

    public String getSuplierTel()
    {
        return suplierTel;
    }
    public void setSuplierAddress(String suplierAddress)
    {
        this.suplierAddress = suplierAddress;
    }

    public String getSuplierAddress()
    {
        return suplierAddress;
    }
    public void setSuplierStatus(Long suplierStatus)
    {
        this.suplierStatus = suplierStatus;
    }

    public Long getSuplierStatus()
    {
        return suplierStatus;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("supplierId", getSupplierId())
            .append("suplierCode", getSuplierCode())
            .append("suplierName", getSuplierName())
            .append("suplierPerson", getSuplierPerson())
            .append("suplierTel", getSuplierTel())
            .append("suplierAddress", getSuplierAddress())
            .append("suplierStatus", getSuplierStatus())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
